Bug 48951 - PRINTING: bulk letter print gives the letter page and a second empty page
Summary: PRINTING: bulk letter print gives the letter page and a second empty page
Status: RESOLVED NOTABUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 134723 (view as bug list)
Depends on:
Blocks: Mail-Merge
  Show dependency treegraph
 
Reported: 2012-04-20 00:27 UTC by Klocke
Modified: 2020-10-16 08:41 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
contains a database and a bulk letter and a print result created with pdf creator (15.85 KB, application/zip)
2012-09-16 13:00 UTC, Klocke
Details
Sample Document (169.16 KB, image/jpeg)
2020-03-26 01:57 UTC, baeggu
Details
Sample Database (20.89 KB, image/jpeg)
2020-03-26 01:58 UTC, baeggu
Details
Sample Result, see the page numbers, even pages are not visible (85.48 KB, image/jpeg)
2020-03-26 02:01 UTC, baeggu
Details
Sample ODT (9.49 KB, application/vnd.oasis.opendocument.text)
2020-03-26 11:53 UTC, Timur
Details
Sample ODS (8.92 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-03-26 11:54 UTC, Timur
Details
Sample as printed from reporter (4.00 KB, application/pdf)
2020-03-26 11:55 UTC, Timur
Details
Sample print merge saved in single ODT (9.24 KB, application/vnd.oasis.opendocument.text)
2020-03-26 12:46 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Klocke 2012-04-20 00:27:48 UTC
Problem description: 

Steps to reproduce:
1. create a bulk letter (with Calc database)
2. print it
3. get 2 pages instead of one. The second one is empty

Current behavior:
bulk letter has two pages instead of one. Second one is empty.
My letter has 13 recipients but the printer produces 25 pages instead of 13. 

Expected behavior:
bulk letter should have only one printed page

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0) Gecko/20100101 Firefox/11.0
Comment 1 Joel Madero 2012-09-11 21:12:54 UTC Comment hidden (obsolete)
Comment 2 Klocke 2012-09-16 13:00:35 UTC
Created attachment 67242 [details]
contains a database and a bulk letter and a print result created with pdf creator

The bug was not reproduceable with an epson stylus DX4200 printer, but with PDF-Creator and Brother MFC-235C
Comment 3 bfoman (inactive) 2012-10-12 17:37:06 UTC
(In reply to comment #2)
> The bug was not reproduceable with an epson stylus DX4200 printer, but with
> PDF-Creator and Brother MFC-235C

Checked with:
LO 3.6.3.1
Build ID: f8fce0b
Windows XP Professional SP3

Could not reproduce. Letters printed to PDF as expected - no blank pages (File>Print>Yes>Output File>Save as single document>PDF). Haven't checked with real printer.
Comment 4 sasha.libreoffice 2012-11-22 10:57:21 UTC
reproduced in 3.6.3 on RFR 17 64 bit
and in 3.4.2 on Windows XP 32 bit
File>Print>Yes> _OK_
now appears dialog "Print". On preview on left side of it we can see that present 3 pages for printing, second is empty.
Comment 5 Olivier Hallot 2013-01-24 14:07:26 UTC
Reproduced in LO 3.6.4, Windows 7 Pro

On a 1-page mail merge, a page break is inserted at the end of the page in the merged doucment. The result is an empty page added at the end of the 1-page document.

Makes mail merge very hard or unusable is the number or records is high (100's or 1000's). Terrible waste of emply/blank pages.
Comment 6 Olivier Hallot 2013-01-25 12:26:17 UTC
I went further on this issue and it may be working as designed, and extra care from user is needed.

The sample I have has one page and the last paragraph is at the bottom of the page. So a mail-merge page break is added after an automatic page break, generating an extra blank page.

I supressed one line in the form letter, to avoid the last paragraph to touch the bottom of the page and the extra blank page vanished.

This may be flagged as WORKSFORME, but it is a weird behaviour for the uneducated user.
Comment 7 Alex Thurgood 2015-01-03 17:38:25 UTC Comment hidden (no-value)
Comment 8 QA Administrators 2016-01-17 20:02:45 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2019-05-14 02:56:20 UTC Comment hidden (obsolete)
Comment 10 baeggu 2020-03-26 01:56:24 UTC
This Bug still exists and can be reproduced. I attached some screenshots (not the real document and database, as the database-links are relative and did not work when moving to another location).

Libreoffice 6.4.1.2 on Windows 10, all patched:

Creating a form letter / mail merge / bulk letter / Serienbrief and saving it to a file or printing inserts on all even page an empty page.

In the sample attached we have 3 database entries, which should result in three pages, but mail merge generates 5 pages.

As there are many help-requests and workarounds on other websites, I suggest to prioritize this issue.
https://de.openoffice.info/viewtopic.php?t=8058
https://listarchives.libreoffice.org/de/users/msg00812.html

Thank you!
Comment 11 baeggu 2020-03-26 01:57:58 UTC Comment hidden (no-value)
Comment 12 baeggu 2020-03-26 01:58:55 UTC Comment hidden (no-value)
Comment 13 baeggu 2020-03-26 02:01:51 UTC Comment hidden (no-value)
Comment 14 Timur 2020-03-26 11:53:50 UTC
Created attachment 159043 [details]
Sample ODT

I reattach single files, because it's wrong practice to zip them.
Comment 15 Timur 2020-03-26 11:54:27 UTC
Created attachment 159044 [details]
Sample ODS
Comment 16 Timur 2020-03-26 11:55:55 UTC
Created attachment 159045 [details]
Sample as printed from reporter
Comment 17 Timur 2020-03-26 12:12:53 UTC
Repro 7.0+. 
Reason is page break in Writer that adds blank page all the way from OO.
So if we print to file, we can see that n records makes n real pages, but Writer shows 2n-1 pages, counting also blanks. 
Can be avoided while in Print dialog with turning off Writer-Print auto inserted blank pages.

Funny that I close as NotABug after 8 years..but that's how it is.
I don't know why that option is on by default. 
But that's not only in Mail merge but always.
Could be discussed somewhere else, whoever is interested please search both open and closed bugs.
Comment 18 Timur 2020-03-26 12:46:06 UTC
Created attachment 159050 [details]
Sample print merge saved in single ODT
Comment 19 Timur 2020-03-26 15:14:23 UTC
Option can be turned off in Options-Writer-Print.
I don't know why it's default is to be on.
Comment 20 Timur 2020-10-16 08:41:23 UTC
*** Bug 134723 has been marked as a duplicate of this bug. ***